<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".AvMain">
    <!--顶部信息视图-->
    <FrameLayout
        android:id="@+id/av_fragment_top"
        android:layout_width="match_parent"
        android:layout_height="@dimen/cr_36_dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        android:background="@color/common_back_a"/>
    <!--地图容器-->
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:id="@+id/av_fragment_map"
        android:orientation="vertical"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/av_fragment_top"
        app:layout_constraintBottom_toBottomOf="@id/av_information_bar"
        android:background="@color/cardview_shadow_start_color"/>
    <!--FPV容器-->
    <FrameLayout
        android:layout_width="@dimen/cr_200_dp"
        android:layout_height="@dimen/cr_140_dp"
        android:id="@+id/av_fragment_fpv"
        app:layout_constraintBottom_toTopOf="@id/av_information_bar"
        app:layout_constraintRight_toRightOf="parent"
        android:layout_marginBottom="@dimen/cr_6_dp"
        android:layout_marginRight="@dimen/cr_6_dp"
        android:background="@drawable/shape_circle"/>
    <!--动态信息容器-->
    <FrameLayout
        android:layout_width="@dimen/cr_450_dp"
        android:layout_height="@dimen/cr_120_dp"
        android:id="@+id/av_fragment_dynamic_info"
        app:layout_constraintBottom_toTopOf="@id/av_information_bar"
        app:layout_constraintLeft_toLeftOf="parent"
        android:layout_marginBottom="@dimen/cr_6_dp"
        android:layout_marginLeft="@dimen/cr_6_dp"/>
    <!--底部信息栏-->
    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/common_height"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        android:id="@+id/av_information_bar"/>
    <!--顶部工具-->
    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="@dimen/common_padding"
        android:layout_marginTop="@dimen/common_padding"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@id/av_fragment_top">
        <include layout="@layout/tools_top"/>
    </LinearLayout>
    <!--顶部直播信息条-->
    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="@dimen/cr_34_dp"
        android:layout_marginStart="@dimen/common_padding"
        android:layout_marginTop="@dimen/common_padding"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/av_fragment_top">
        <com.cr.widget.CrLiveInfoWidget
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />
    </LinearLayout>
    <!--右侧弹窗容器-->
    <FrameLayout
        style="@style/common_match_panel_v"
        android:id="@+id/av_frm_right_panel"
        android:layout_width="@dimen/cr_240_dp"
        app:layout_constraintBottom_toTopOf="@+id/av_information_bar"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/av_fragment_top" />
    <!--左侧弹窗容器 大-->
    <FrameLayout
        style="@style/common_match_panel_v"
        android:id="@+id/av_frm_left_big_panel"
        android:layout_width="@dimen/cr_200_dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/av_fragment_top"
        app:layout_constraintBottom_toTopOf="@+id/av_information_bar"
        />
    <!--左侧弹窗容器 小-->
    <FrameLayout
        style="@style/common_match_panel_v"
        android:id="@+id/av_frm_left_smart_panel"
        android:layout_width="@dimen/cr_120_dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/av_fragment_top"
        app:layout_constraintBottom_toTopOf="@+id/av_information_bar"
        />
    <!--中间弹窗-->
    <FrameLayout
        android:id="@+id/av_frm_center_panel"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/av_fragment_top"
        android:layout_margin="@dimen/cr_20_dp"/>
</androidx.constraintlayout.widget.ConstraintLayout>